Bug 144583 - smbd_t needs read access to lnk_file
smbd_t needs read access to lnk_file
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2005-01-08 15:49 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 19:26:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-08 15:49:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
smbd_t cannot follow symbolic links, and as a result 
the setup I posted about on the fedora-selinux with
symlinks in /data/smb does not work.

--- samba.te.bak        2005-01-08 13:44:34.326669200 -0700
+++ samba.te    2005-01-08 13:44:52.311951685 -0700
@@ -75,6 +75,7 @@
 # Access Samba shares.
 allow smbd_t samba_share_t:dir create_dir_perms;
 allow smbd_t samba_share_t:file create_file_perms;
+allow smbd_t samba_share_t:lnk_file { getattr read };

 ifdef(`logrotate.te', `
 # the application should be changed

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See summary.  

Additional info:
Comment 1 Daniel Walsh 2005-01-10 12:55:40 EST
Ok changing policy to have
# Access Samba shares.
create_dir_file(smbd_t, samba_share_t)
Which should cover links.

Fixed in selinux-policy-*-1.20.1-2

Note You need to log in before you can comment on or make changes to this bug.